Open BankingB2B SuiteERP Integration
GuidesAPI ReferenceChangelog
Menu

Categories

Open BankingB2B SuiteERP Integration

  • GENERAL INFORMATION

    • Documentation guide
    • SingleView B2B Core APIs
    • Platform architecture
  • GETTING STARTED

    • Integration guide
    • Become a user
    • Prerequisites for Sandbox
    • Establishing secure connection
    • Authenticating your request
    • Making your first test api call
    • Prerequisites for production
    • Moving to production
  • AUTHENTICATION

    • Header parameters
    • Obtain access token
    • Generate signature
  • Data APIs

    • Account statement
    • Balance enquiry
    • IBAN verification
    • POS transactions
    • Raw statement
  • Payment APIs

  • SADAD

  • RESOURCES

    • POR Details
    • Error codes
  • API Archives


SADAD bills

Get SADAD bill enquiry and make payment

SingleView B2B Payouts API allows you to manage SADAD bills. It allows you to:

  • Fetch updated bill information using Bill Enquiry
  • Make SADAD bill payments using Bill Payment
Mandatory information
  • The user must provide the valid credentials in the header
  • Encrypted and valid Signature and an active "Access Token"
  • Request format as specified with all the mandatory details with appropriate request tags
  • Ensure that the SequenceNumber is unique for each transaction. Payments with same sequence number appear as duplicate transactions and affects their processing and enquiry operations.

Domain details

Environment

Domain

Rate/Limit

Sandbox

sandboxapi.onesingleview.com

10 Calls per Minute

Production/LIVE

To be provided upon onboarding

Based on contract

Bill Enquiry

This service allows you to fetch updated information on SADAD bills.

Try in API Reference ➜

Endpoint details

Endpoint URL

Method

Authentication requirements

/api/enquiry/sadad/bill

POST

  1. CompanyId
  2. SVReferenceID
  3. DateTimeStamp
  4. Device
  5. Authorization: Bearer (Token)

Sample request

SADAD Bill Enquiry Request
curl --location 'https://sandboxapi.onesingleview.com/api/enquiry/sadad/bill'
--header 'clientsecret: abcdef83643f61c975'
--header 'clientid: zyxvw95cE163C03b7d1'
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp	:2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json'
--data '{
"Message": {
  "OSVSadadBillEnquiryRequest": {  
    "TransactionType": "SADADENQ",  
    "OSVSadadBillEnquiry": [
      {
        "BankCode": "Enter_Bank_Code",  
        "CompanyCode": "Enter_Company_Code",  
        "TransactionReferenceNumber": "Enter_Transaction_Reference_Number",  
        "MessageDescription": "Enter_Messgae_Description",  
        "TransactionData": [
          {
            "SequenceNumber": "Enter_Sequence_Number",  
            "BillerId": "Enter_Biller_Id",  
            "BillCategory": "Enter_Bill_Category",  
            "SubscriberNumber": "Enter_Subscriber_Number",  
            "AccountNumber": "Enter_Account_Number"
          }
        ]
      }
    ]
  }
}'

Request description

JSON Tag

Description

Data type

Message
Mandatory

Header information (client credentials)

Object

OSVSadadBillEnquiryRequest
Mandatory

Root node containing all the SADAD bill information

Object

TransactionType
Mandatory

Type of transaction to be mentioned as SADADENQ

String

OSVSadadBillEnquiry
Mandatory

Tag carrying information on the SADAD bill requested

Object

BankCode
Mandatory

Unique bank identification code

String

CompanyCode
Mandatory

Unique company identification code

String

TransactionReferenceNumber
Mandatory

Unique transaction reference number

String

MessageDescription
Mandatory

Details of the transaction

String

TransactionData
Mandatory

Tag carrying information on the requested SADAD bill

Object

SequenceNumber
Mandatory

Unique sequence number of the SADAD bill generated by the client

String

BillerId
Mandatory

Unique biller identification details

String

BillCategory
Mandatory

Unique bill category of the SADAD bill

String

SubscriberNumber
Mandatory

Unique subscriber identification details

String

AccountNumber
Mandatory

Unique account number for the respective SADAD bill
Max size of input: 24 Characters

Alphanumeric

Sample response

SADAD Bill Enquiry Response
{
  "OSVSadadBillEnquiryResponse": {
    "MessageType": "SADADENQ",
    "TimeStamp": "YYYY-MM-DDTHH:MM:SS",
    "OSVSadadBillEnquiry": [
      {
        "BankCode": "Bank_Code",  
        "CompanyCode": "Company_Code",  
        "TransactionReferenceNumber": "Transaction_Reference_Number",  
        "MessageDescription": "Message_Description",  
        "Status": "OK",  
        "TransactionData": [
          {
            "SequenceNumber": "Sequence_Number",  
            "BillerID": 000,  
            "SubscriberNumber": "Subscriber_Number",  
            "ServiceType": "Service_Type",  
            "BillerDetail": "Biller_Detail",  
            "BillAccountID": "Bill_Account_ID",  
            "BillNo": "Bill_Number",  
            "BillCategory": "Bill_Category",  
            "BillCategoryType": "Bill_Category_Type",  
            "AmountDue": 00,  
            "BillPaid": "Bill_Paid",  
            "CustType": "Customer_Type",  
            "BillStatus": "Bill_Status",  
            "Balance": 0,  
            "PaidDate": "YYYYMMDD",  
            "OpenDate": "YYYYMMDD",  
            "CloseDate": "YYYYMMDD",  
            "DueDate": "YYYYMMDD",  
            "ExpiryDate": "YYYYMMDD",  
            "StatusCode": "OK",  
            "StatusDetail": "Status_Detail"
          }
        ]
      }
    ]
  }
}

Response description

JSON Tag

Description

Data type

OSVSadadBillEnquiryResponse

Tag carrying information on bill enquiry response

Object

MessageType

Details on type of message to be displayed as SADADENQ

String

TimeStamp

Details on date and time of the response

String

OSVSadadBillEnquiry

Tag carrying information on the SADAD bill enquiry

Object

BankCode

Unique bank identification code

String

CompanyCode

Unique company identification code

String

TransactionReferenceNumber

Unique transaction reference details of the transaction

String

MessageDescription

Description of the message

String

Status

Status of the response

Boolean

TransactionData

Tag carrying information on the SADAD bill enquiry

Object

SequenceNumber

Unique sequence identification of the bill generated by the client

String

BillerID

Unique biller identification details

String

SubscriberNumber

Unique subscriber identification details

String

ServiceType

Details on type of the bill service

String

BillerDetail

Details of the biller

String

BillAccountID

Unique bill account identification details

String

BillNo

Unique bill number

String

BillCategory

Details of the bill category

String

BillCategoryType

Details of the type of bill category

String

AmountDue

Details of amount due for the bill

Numerical

BillPaid

Details of bill payment

String

CustType

Details on type of the customer

String

BillStatus

Status of the bill

String

Balance

Total bill balance

Numerical

PaidDate

Last paid date of the bill

String

OpenDate

Initial period of the billing cycle

String

CloseDate

Final period of the billing cycle

String

DueDate

Due date for the payment of bill amount

String

ExpiryDate

Expiry date of the billing service

String

StatusCode

Status code of the bill response

Boolean

StatusDetail

Details on the status code displayed

String

Bill Payment

This service allows you to make payment for SADAD bills.

Try in API Reference ➜

Endpoint details

Endpoint URL

Method

Authentication requirements

/api/payment/sadad/bill

POST

  1. CompanyId
  2. SVReferenceID
  3. DateTimeStamp
  4. Device
  5. Authorization: Bearer (Token)

Sample request

SADAD Bill Payment Request
curl --location 'https://sandboxapi.onesingleview.com/api/payment/sadad/bill'
--header 'clientsecret: abcdef83643f61c975'
--header 'clientid: zyxvw95cE163C03b7d1'
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp	:2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json'
--data '{
"Message": {  
  "OSVSadadBillPaymentRequest": {  
    "TransactionType": "SADADTRN",  
    "OSVSadadBillPayment": [  
      {  
        "BankCode": "Enter_Bank_Code",  
        "CompanyCode": "Enter_Company_Code",  
        "TransactionReferenceNumber": "Enter_Transaction_Reference_Number",  
        "MessageDescription": "Enter_Message_Description",  
        "AccountNumber": "Enter_Account_Number",  
        "TransactionData": [  
          {  
            "SequenceNumber": "Enter_Sequence_Number",  
            "SubscriberNumber": "Enter_Subscriber_Number",  
            "BillerId": "Enter_Biller_Id",  
            "BillAccountID": "Enter_Bill_Account_Id",  
            "BillNumber": "Enter_Biller_Number",  
            "PaymentType": "Enter_Payment_Type",  
            "BillCategory": "Enter_Bill_Category",  
            "Amount": "00",  
            "PayExactDue": false,  
            "ServiceType": "Enter_Service_Type"  
          }  
        ]  
      }  
    ]  
  }  
}'

Request description

JSON Tag

Description

Data type

Message
Mandatory

Header information (client credentials)

Object

OSVSadadBillPaymentRequest
Mandatory

Root node containing all the SADAD bill and payment information

Object

TransactionType
Mandatory

Type of transaction to be mentioned as SADADTRN

String

OSVSadadBillPayment
Mandatory

Tag carrying information on the payment for the requested SADAD bill

Object

BankCode
Mandatory

Unique bank identification code

String

CompanyCode
Mandatory

Unique company identification code

String

TransactionReferenceNumber
Mandatory

Unique transaction reference number

String

MessageDescription
Mandatory

Details of the transaction

String

AccountNumber
Mandatory

Unique account number for the respective SADAD bill

String

TransactionData
Mandatory

Tag carrying information on the payment details of requested SADAD bill

Object

SequenceNumber
Mandatory

Unique sequence number of the SADAD bill generated by the client

String

SubscriberNumber
Mandatory

Unique subscriber identification details

String

BillerId
Mandatory

Unique biller identification details

String

BillAccountID
Mandatory

Unique bill account identification details

String

BillNumber
Mandatory

Unique bill number

String

PaymentType
Mandatory

Type of payment for SADAD bill

String

BillCategory
Mandatory

Unique bill category of the SADAD bill

String

Amount
Mandatory

Details on bill amount to be paid

Numerical

PayExactDue
Mandatory

false indicates paying other than the due amount
true indicates paying the exact bill due amount

Boolean

ServiceType
Mandatory

Details on service type of the SADAD bill

String

Sample response

SADAD Bill Payment Response
{  
  "OSVSadadBillPaymentResponse": {  
    "MessageType": "SADADTRN",  
    "TimeStamp": "YYYY-MM-DDTHH:MM:SS",  
    "OSVSadadBillPayment": [  
      {  
        "BankCode": "Bank_Code",  
        "CompanyCode": "Company_Code",  
        "MessageDescription": "Message_Description",  
        "TransactionReferenceNumber": "Transaction_Reference_Number",  
        "AccountNumber": "Account_Number",  
        "BankReferenceNumber": "Bank_Reference_Number",  
        "TransactionData": [  
          {  
            "PaymentRefNumber": "Payment_Ref_Number",  
            "SADADRqUID": "SADAD_Rq_UID",  
            "SequenceNum": "Sequence_Num",  
            "BankReference": 0000000000,  
            "SadadReference": 0000000000,  
            "BillerID": 000,  
            "SubscriberNumber": "Subscriber_Number",  
            "PaidAmount": "000",  
            "PaidDate": "YYYYMMDD",  
            "envelopeDateTime": "YYYYMMDD",  
            "StatusCode": "OK",  
            "StatusDetail": "Status_Detail"  
          }  
        ]  
      }  
    ]  
  }  
}

Response description

JSON Tag

Description

Data type

OSVSadadBillPaymentResponse

Tag carrying information on bill payment response

Object

MessageType

Details on type of message to be displayed as SADADTRN

String

TimeStamp

Details on date and time of the response

String

OSVSadadBillPayment

Tag carrying information on the SADAD bill payment

Object

BankCode

Unique bank identification code

String

CompanyCode

Unique company identification code

String

MessageDescription

Description of the message

String

TransactionReferenceNumber

Unique transaction reference details of the transaction

String

AccountNumber

Unique SADAD bill account identification

String

BankReferenceNumber

Unique bank reference identification for the payment

String

TransactionData

Tag carrying information on the SADAD bill payment

Object

PaymentRefNumber

Unique payment reference identification number

String

SADADRqUID

Unique SADAD request identification number

String

SequenceNum

Unique sequence identification of the bill generated by the client

String

BankReference

Unique bank reference details for the bill payment

String

SadadReference

Unique SADAD reference details for the bill payment

String

BillerID

Unique biller identification details

String

SubscriberNumber

Unique subscriber identification details

String

PaidAmount

Details on the amount paid towards the SADAD bill due

Numerical

PaidDate

Date of payment of SADAD bill

String

envelopeDateTim

Date and time stand of the payment response

String

StatusCode

Status code of the bill payment response

Boolean

StatusDetail

Details on the status code displayed

String

Updated July 3, 2026

PreviousPost-payment enquiry
Was this helpful?